package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */
public class MedLisInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告类型代码
     */
    private String repType;

    /**
     * 报告名称
     */
    private String repName;

    /**
     * 检查类型名称
     */
    private String repTypeName;

    /**
     * 标本名称
     */
    private String slideType;

    /**
     * 发布时间
     */
    private String repDate;

    /**
     * 报告检查时间
     */
    private String checkDate;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 开单科室代码
     */
    private String deptId;

    /**
     * 开单科室名称
     */
    private String deptName;

    /**
     * 报告单状态
     */
    private String registerFlag;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public String getRepNo() {
        return repNo;
    }

    public void setRepNo(String repNo) {
        this.repNo = repNo;
    }
    public String getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(String hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getRepType() {
        return repType;
    }

    public void setRepType(String repType) {
        this.repType = repType;
    }
    public String getRepName() {
        return repName;
    }

    public void setRepName(String repName) {
        this.repName = repName;
    }
    public String getRepTypeName() {
        return repTypeName;
    }

    public void setRepTypeName(String repTypeName) {
        this.repTypeName = repTypeName;
    }
    public String getSlideType() {
        return slideType;
    }

    public void setSlideType(String slideType) {
        this.slideType = slideType;
    }
    public String getRepDate() {
        return repDate;
    }

    public void setRepDate(String repDate) {
        this.repDate = repDate;
    }
    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }
    public String getApplyDoctor() {
        return applyDoctor;
    }

    public void setApplyDoctor(String applyDoctor) {
        this.applyDoctor = applyDoctor;
    }
    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getRegisterFlag() {
        return registerFlag;
    }

    public void setRegisterFlag(String registerFlag) {
        this.registerFlag = registerFlag;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedLisInfo{" +
            "repNo=" + repNo +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", repType=" + repType +
            ", repName=" + repName +
            ", repTypeName=" + repTypeName +
            ", slideType=" + slideType +
            ", repDate=" + repDate +
            ", checkDate=" + checkDate +
            ", applyDoctor=" + applyDoctor +
            ", deptId=" + deptId +
            ", deptName=" + deptName +
            ", registerFlag=" + registerFlag +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
